import { Canvas } from "./Canvas";
import { IRepulse } from "../Interfaces/IRepulse";
import { IBubble } from "../Interfaces/IBubble";
import { IImage } from "../Interfaces/IImage";
import { ISvg } from "../Interfaces/ISvg";
import { IOptions } from "../Interfaces/IOptions";
import { IContainerInteractivity } from "../Interfaces/IContainerInteractivity";
import { Particles } from "./Particles";
import { Retina } from "./Retina";
export declare class Container {
    interactivity: IContainerInteractivity;
    options: IOptions;
    retina: Retina;
    canvas: Canvas;
    particles: Particles;
    checkAnimFrame?: number;
    drawAnimFrame?: number;
    bubble: IBubble;
    repulse: IRepulse;
    svg: ISvg;
    image: IImage;
    lastFrameTime: number;
    pageHidden: boolean;
    private readonly eventListeners;
    constructor(tagId: string, params: IOptions);
    private static requestFrame;
    private static cancelAnimation;
    densityAutoParticles(): void;
    destroy(): void;
    exportImg(): void;
    loadImg(): Promise<void>;
    refresh(): Promise<void>;
    start(): Promise<void>;
    private init;
    private handleVisibilityChange;
    private addEventsListeners;
    private draw;
    private checkBeforeDraw;
}
