import { Container } from "./Container";
import { IVelocity } from "../Interfaces/IVelocity";
import { ISize } from "../Interfaces/ISize";
import { IOpacity } from "../Interfaces/IOpacity";
import { ICoordinates } from "../Interfaces/ICoordinates";
import { IParticleImage } from "../Interfaces/IParticleImage";
import { IColor } from "../Interfaces/IColor";
import { ShapeType } from "../Enums/ShapeType";
export declare class Particle {
    radius: number;
    size: ISize;
    position: ICoordinates;
    offset: ICoordinates;
    color: IColor;
    opacity: IOpacity;
    velocity: IVelocity;
    shape?: ShapeType;
    img?: IParticleImage;
    readonly initialVelocity: IVelocity;
    private readonly updater;
    private readonly bubbler;
    private readonly repulser;
    private readonly drawer;
    private readonly grabber;
    private readonly container;
    constructor(container: Container, position?: ICoordinates);
    private static calcVelocity;
    update(delta: number): void;
    interact(p2: Particle): void;
    draw(): void;
    checkOverlap(position?: ICoordinates): void;
    private calcPosition;
}
