import { Container } from "./Classes/Container";
import { IOptions } from "./Interfaces/IOptions";
declare global {
    interface Window {
        requestAnimFrame: (callback: FrameRequestCallback) => number;
        mozRequestAnimationFrame: (callback: FrameRequestCallback) => number;
        oRequestAnimationFrame: (callback: FrameRequestCallback) => number;
        msRequestAnimationFrame: (callback: FrameRequestCallback) => number;
        cancelRequestAnimFrame: (handle: number) => void;
        webkitCancelRequestAnimationFrame: (handle: number) => void;
        mozCancelRequestAnimationFrame: (handle: number) => void;
        oCancelRequestAnimationFrame: (handle: number) => void;
        msCancelRequestAnimationFrame: (handle: number) => void;
        particlesJS: any;
        tsParticles: Main;
        pJSDom: () => Container[];
    }
}
declare class Main {
    load(tagId: string, params: IOptions): Container | undefined;
    loadJSON(tagId: string, pathConfigJson: string): Promise<Container | undefined>;
    setOnClickHandler(callback: EventListenerOrEventListenerObject): void;
    dom(): Container[];
    domItem(idx: number): Container;
}
export {};
